package com.chinatelecom.multisimservice.model;
import com.chinatelecom.multisimservice.model.MultiSimDeviceInfo;

interface IOpenMultiSimCalbcak {

    /**
     * 获取Sim卡信息回调
     * @param deviceInfo server侧返回的MultiSimDeviceInfo信息
     * @return
     */
    void getDeviceMultiSimInfo(in MultiSimDeviceInfo deviceInfo);
	
	/**
     * 获取eSIM卡的下载和安装结果
     * @param status eSIM的下载和安装结果
     * @return
     */
    void getProfileDownloadStatus(in int status);
}