package com.huawei.multisimservice;
import com.huawei.multisimservice.model.IOpenMultiSimCalbcak;

interface IOpenMultiSim {

    /**
     *  注册回调方法
     * @param callback  回调方法
     * @return
     */
    void registerCallback(IOpenMultiSimCalbcak callback);

    /**
     * 去注册回调方法
     * @param callback  回调方法
     * @return
     */
    void unRegisterCallback(IOpenMultiSimCalbcak callback);

    /**
     * 获取Sim卡信息，服务端回调IOpenMultiSimCalbcak.getDeviceMultiSimInfo()方法返回Sim卡信息
     * @param
     * @return
     */
    void getAttachedDeviceMultiSimInfo();

    /**
     * 下载eSIM Profile请求
     * @param activationCode  ac Code
     * @return
     */
    void downloadESimProfile(String activationCode);
}
