package com.chinatelecom.multisimservice;
import com.chinatelecom.multisimservice.model.ISmartWearServiceInfoCallback;

interface IServiceBinder {
    /**
     *获取穿戴服务一号多卡service binder
     * @param packageName  调用app的包名
     * @param versionCode  穿戴版本协议号
     * @return  返回一号多卡调用的binder
     */
    IBinder getServiceBinder(String packageName,String versionCode);
         /**
         *  注册回调方法
         * @param callback  回调方法
         * @return
         */
        void registCallback(in ISmartWearServiceInfoCallback callback);
         /**
         *  去注册回调方法
         * @param callback  回调方法
         * @return
         */
        void unRegistCallback(in ISmartWearServiceInfoCallback callback);
         /**
         * 获取服务端信息，服务端回调ISmartWearServiceInfoCallback.getSmartWearServiceInfo()方法返回信息
         * @return
         */
        void getSmartWearServiceInfo();

}
